Bug 92437 - osmesa: Expose GL entry points for Windows build, via .def file
Summary: osmesa: Expose GL entry points for Windows build, via .def file
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: 11.0
Hardware: All All
: medium enhancement
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-12 11:38 UTC by Nigel Stewart
Modified: 2015-10-21 13:07 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
git format-patch (5.50 KB, text/plain)
2015-10-12 11:38 UTC, Nigel Stewart
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nigel Stewart 2015-10-12 11:38:09 UTC
Created attachment 118837 [details]
git format-patch

As the GLEW maintainer, I've been looking to support OSMesa natively in GLEW, when built in -DGLEW_OSMESA=1 mode.  I had some success with on Linux, but linking with libOSMesa, rather than libGL.  However, the Windows scons build does not export the OpenGL functions that GLEW needs, such as glGetString.

Linux:
$ nm -D /usr/lib/x86_64-linux-gnu/libOSMesa.so | grep glGetString
000000000026e620 T glGetString
0000000000270d40 T glGetStringi

I found that GLEW utilities glewinfo and visualinfo work on Windows with OSMesa, given a patched osmesa.def, as attached.

- Nigel
Comment 1 Nigel Stewart 2015-10-12 11:41:37 UTC
See also: https://github.com/nigels-com/glew/pull/25
Comment 2 Jose Fonseca 2015-10-21 13:07:53 UTC
Pushed. Thanks.


bug/show.html.tmpl processed on Mar 25, 2017 at 09:43:35.
(provided by the Example extension).